Skip to main content
GET
/
api
/
v2
/
chatbots
/
{chatbotId}
/
conversations
List conversations
curl --request GET \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/conversations \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "conversations": [
      {
        "id": "conversation-id",
        "name": "Example conversation",
        "createdAt": "2026-05-13T00:00:00.000Z"
      }
    ],
    "pagination": {
      "limit": 20,
      "hasNextPage": false,
      "nextCursor": null
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Query Parameters

limit
integer

Maximum number of records to return.

Required range: x >= 1
cursor
string

Pagination cursor.

status
enum<string>

Conversation status filter.

Available options:
all,
open,
resolved
mode
enum<string>

Conversation mode filter.

Available options:
AI,
AGENT
important
boolean

Important flag filter.

escalated
boolean

Escalated flag filter.

read
boolean

Read flag filter.

leadId
string

Lead ID filter.

tagId
string[]

Repeatable tag ID filter.

reaction
enum<string>

Message reaction filter.

Available options:
NEGATIVE,
POSITIVE
gptModel
enum<string>

GPT model bucket filter.

Available options:
gpt-3.5,
gpt-4
query
string

Search query.

includeEmpty
boolean

Include empty conversations.

scanLimit
integer

Maximum conversations to scan for filters.

Required range: x >= 1

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required